> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a contact from a layout

> Removes a contact from a specified layout, deleting the associated role or relationship from the matter.



## OpenAPI

````yaml /openapi.json delete /matters/{matterId}/layouts/{itemId}/contacts
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/layouts/{itemId}/contacts:
    delete:
      tags:
        - Layout Matter Items
      summary: Remove a contact from a layout
      description: >-
        Removes a contact from a specified layout, deleting the associated role
        or relationship from the matter.
      operationId: RemoveLayoutMatterItemContact
      parameters:
        - name: matterId
          in: path
          description: Matter Id
          required: true
          schema:
            type: string
            format: uuid
        - name: itemId
          in: path
          description: ItemId of the layout
          required: true
          schema:
            type: string
            format: uuid
        - name: key
          in: query
          description: Layout contact key identifying the contact to remove.
          schema:
            type: string
      responses:
        '202':
          description: When request is accepted.
        '404':
          description: >-
            When the layout item does not exist on the matter or no contact is
            assigned at the specified key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````